Subject: Inquiry Regarding Experimental Registration for Modified Aero L-39 Albatros
From: "[email-masked]" <[email-masked]>
To: <[email-masked]>
Date: Tue, 15 Jul 2025 10:48:31 -0400

Dear Sir or Madam,
 
I hope this email finds you well.
 
My name is Forrest Williams, and I am with East 2 West Aero, a company based in the United States specializing in the modernization of Aero L-39 Albatros aircraft.
 
I am inquiring about the possibility of registering one of our aircraft in Estonia under the Experimental Category. The aircraft in question has undergone extensive modifications from its original military configuration, including:

Installation of a Honeywell TFE731-3 turbofan engine replacing the original AI-25.

Complete rewiring with new harnesses using laser-marked Tefzel wire.

Installation of modern civil avionics, including dual Garmin G3X Touch displays, GTN 750xi, and a fully coupled autopilot.

Removal of all military weapons systems, wiring, and associated components.
The aircraft is currently registered in the United States under an Experimental Exhibition airworthiness certificate issued by the FAA, confirming its civilian, non-military status and significant deviation from its original military specifications.
I would like to confirm the following:

Eligibility: Is it possible to register this L-39 in Estonia as an Experimental aircraft, given its modifications and current U.S. Experimental status?

Documentation Requirements: What documents and technical data would you require to evaluate and process such a registration? (e.g. engineering records, maintenance program, photos, U.S. FAA paperwork, etc.)

Process and Timeline: Could you please provide an outline of the registration process, associated fees, and estimated timeline for approval?
Our goal is to ensure full compliance with Estonian regulations and EASA requirements for civilian operation within the EU. I greatly appreciate your guidance on how best to proceed.
 
Thank you very much for your assistance, and I look forward to your reply.
 
Best regards,

Forrest WilliamsDirector of Business OperationsEast 2 West [email-masked]